<?xml version="1.0" encoding="utf-8"?>

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.cardview.widget.CardView
        android:id="@+id/base_root"
        android:orientation="vertical"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/title_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/light_blue_300"
            android:gravity="center_horizontal">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/title_icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_error_white_24dp"
                android:layout_margin="24dp"/>

        </RelativeLayout>



        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="24dp">

            <TextView
                android:id="@+id/title_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                style="@style/TextViewMaterial.Dialog.HeadlineText"
                android:text="@string/title_open_grid_pv"
                android:gravity="center_horizontal"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:layout_marginTop="16dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="10">


                        <ProgressBar
                            android:id="@+id/progressBar"
                            style="?android:attr/progressBarStyle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"/>

                        <androidx.appcompat.widget.AppCompatTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:textSize="16sp"
                            android:layout_marginStart="8dp"
                            android:layout_marginEnd="12dp"
                            android:layout_gravity="center_vertical"
                            android:gravity="center_horizontal"
                            style="@style/TextViewMaterial"
                            android:text="@string/scan_grid"/>
                    </LinearLayout>


                    <LinearLayout
                        android:id="@+id/dialog_scan_or_create_lu__creation_layout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <androidx.constraintlayout.widget.Guideline
                                android:id="@+id/ok_left_buttons_guideline"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                app:layout_constraintGuide_percent="0.15"/>

                            <androidx.constraintlayout.widget.Guideline
                                android:id="@+id/ok_right_buttons_guideline"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:orientation="vertical"
                                app:layout_constraintGuide_percent="0.85"/>


                        </androidx.constraintlayout.widget.ConstraintLayout>

                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>

    </androidx.cardview.widget.CardView>

</layout>